#include <stdio.h>
#include <stdlib.h>

int main()
{
    char c1,c2,veci,manji;
    int a1,a2,vecibr,manjibr;
    scanf("%c%c", &c1,&c2);
    scanf("%i%i", &a1,&a2);
    int max=a1;
    if(a1>a2){
        veci=c1;
        vecibr=a1;
        manji=c2;
        manjibr=a2;
    }
    else {
        veci=c2;
        vecibr=a2;
        manji=c1;
        manjibr=a1;
    }
    if (a2>max) max=a2;
    if(abs(a1-a2)>1){
        printf("nemoguce");
    }
    else{
        for (int i=0; i<vecibr; i++){
            printf("%c", veci);
            if (i<manjibr)
                printf("%c", manji);
        }
    }
return 0;
}